Warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'collapsArch' does not have a method 'enqueue_scripts' in /home/customer/www/allanhutchison.net/public_html/wp-includes/class-wp-hook.php on line 307

Dell KACE Offers Free Secure Browser

This is FYI as I am on Linux.


“To help companies increase the safety of their Windows users’ web browsing from malicious code, including restricting direct and cross-site access to dangerous or inappropriate websites, Dell KACE has introduced the Dell KACE Secure Browser, available immediately as a free download.
The Dell KACE Secure Browser consists of a browser — currently, FireFox 3.6 — plus plug-ins — currently, Adobe Flash and Adobe Reader — plus proprietary Dell KACE “Virtual Kontainer” application virtualization technology developed as part of the company’s K1000, all packaged into one download that uses a standard Windows installer. … “

July 19, 2010
Source:  — Security — InformationWeek
 http://www.informationweek.com/news/smb/security/showArticle.jhtml?articleID=225900195&cid=RSSfeed_IWK_News

2 Comments on Dell KACE Offers Free Secure Browser

  1. Hey, I found your blog on google and read a few of your other posts. I like what you have to say. I just added you to my Google News Reader. Keep up the good work. Look forward to reading more from you in the future.

Comments are closed.